Package org.opengis.cite.ogcapifeatures10.conformance.crs.discovery.collections

# Class AbstractDiscoveryCollections

java.lang.Object
org.opengis.cite.ogcapifeatures10.conformance.CommonFixture
org.opengis.cite.ogcapifeatures10.conformance.CommonDataFixture
org.opengis.cite.ogcapifeatures10.conformance.crs.discovery.collections.AbstractDiscoveryCollections

Direct Known Subclasses:
  `DiscoveryCollectionsCrsUri`, `DiscoveryCollectionsDefaultCrs`, `DiscoveryCollectionsStorageCrs`

public class AbstractDiscoveryCollections extends CommonDataFixture

AbstractDiscoveryCollections class.

Author:
  Lyn Goltz

- ## Field Summary

  ### Fields inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonDataFixture

  `noOfCollections`

  ### Fields inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

  `requestLoggingFilter, responseLoggingFilter, rootUri`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractDiscoveryCollections()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Iterator<Object[]>`
  `collectionItemUris(org.testng.ITestContext testContext)`
  collectionItemUris.
  `Iterator<Object[]>`
  `collectionsResponses(org.testng.ITestContext testContext)`
  collectionsResponses.
  `void`
  `retrieveRequiredInformationFromTestContext(org.testng.ITestContext testContext)`
  retrieveRequiredInformationFromTestContext.

  ### Methods inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonDataFixture

  `createListOfMediaTypesToSupportForFeatureCollectionsAndFeatures, createListOfMediaTypesToSupportForFeatureCollectionsAndFeatures, createListOfMediaTypesToSupportForOtherResources, getApiModel, noOfCollections, requirementClasses, retrieveApiModel`

  ### Methods inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

  `clearMessages, getRequest, getResponse, init, initCommonFixture`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractDiscoveryCollections

    public AbstractDiscoveryCollections()

- ## Method Details

  - ### retrieveRequiredInformationFromTestContext

    @BeforeClass public void retrieveRequiredInformationFromTestContext(org.testng.ITestContext testContext)

    retrieveRequiredInformationFromTestContext.

    Parameters:
      `testContext` - a `ITestContext` object

  - ### collectionsResponses

    @DataProvider(name="collectionsResponses") public Iterator<Object[]> collectionsResponses(org.testng.ITestContext testContext)

    collectionsResponses.

    Parameters:
      `testContext` - a `ITestContext` object
    Returns:
      a `Iterator` object

  - ### collectionItemUris

    @DataProvider(name="collectionItemUris") public Iterator<Object[]> collectionItemUris(org.testng.ITestContext testContext)

    collectionItemUris.

    Parameters:
      `testContext` - a `ITestContext` object
    Returns:
      a `Iterator` object